Subject: [alpine-aports] [PATCH] testing/php-zmq: APKBUILD recreated with apkbuild-pecl. No rebuild needed.

From: Valery Kartel <[email-masked]>
Date: Sat, 7 Nov 2015 00:59:19 +0200

---
 testing/php-zmq/APKBUILD | 37 +++++++++++++++++++------------------
 testing/php-zmq/zmq.ini  |  2 --
 2 files changed, 19 insertions(+), 20 deletions(-)
 delete mode 100644 testing/php-zmq/zmq.ini

diff --git a/testing/php-zmq/APKBUILD b/testing/php-zmq/APKBUILD
index 4193611..89231c0 100644
--- a/testing/php-zmq/APKBUILD
+++ b/testing/php-zmq/APKBUILD
@@ -1,36 +1,37 @@
-# Contributor: V.Krishn <[email-masked]>
+# Contributor: Valery Kartel <[email-masked]>
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=php-zmq
+_pkgreal=zmq
 pkgver=1.1.2
+_pkgver=${pkgver/_rc/RC}
 pkgrel=0
-pkgdesc="ZeroMQ for PHP"
-url="https://github.com/mkoppanen/php-zmq"
+pkgdesc="PHP extension that provides bindings for ZeroMQ messaging"
+url="http://pecl.php.net/package/$_pkgreal"
 arch="all"
 license="PHP"
-depends="php"
-makedepends="php-dev autoconf zeromq-dev"
+depends=
+pecldepends="php-dev autoconf"
+makedepends="$pecldepends zeromq-dev"
+install=""
 subpackages=""
-source="saveas-https://github.com/mkoppanen/php-zmq/archive/$pkgver.tar.gz/$pkgname-$pkgver.tar.gz
-zmq.ini"
-_builddir="$srcdir/php-zmq-$pkgver"
+source="http://pecl.php.net/get/$_pkgreal-$_pkgver.tgz"
+
+_builddir="$srcdir"/$_pkgreal-$_pkgver
 
 build() {
 	cd "$_builddir"
 	phpize || return 1
-	./configure --enable-zmq \
-		--with-php-config=/usr/bin/php-config || return 1
+	./configure --prefix=/usr || return 1
 	make || return 1
 }
 
 package() {
 	cd "$_builddir"
-	make INSTALL_ROOT=$pkgdir install || return 1
-	install -D -m644 "$srcdir"/zmq.ini "$pkgdir"/etc/php/conf.d/zmq.ini
+	make INSTALL_ROOT="$pkgdir"/ install || return 1
+	install -d "$pkgdir"/etc/php/conf.d || return 1
+	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php/conf.d/$_pkgreal.ini
 }
 
-md5sums="a5d5675bc332a4a2facebbe7c2364ae2  php-zmq-1.1.2.tar.gz
-06f848012c820c6e8e3e6c41b12bc1ce  zmq.ini"
-sha256sums="2ae77e90e0ed8112b11e838d6303940bbcae39e8d37683632a299db881bdb217  php-zmq-1.1.2.tar.gz
-873904053be7cd60ed26d1db515dbfc6d12bb832046a685e85777e7276e7e39c  zmq.ini"
-sha512sums="88f97707f25849ade4521e5c863b591fa9123e364810d3e1c9f51c15b13324ae9ef747741230a6ec4b6226d73c0e674a760210047dc96e08b46a80d36b2e2338  php-zmq-1.1.2.tar.gz
-4a493427d11eb347c5a25681cc96d7d7cde27af329f688fa5c26aefeae34d85b2211ceb8bdafb807b9d5eca4842d31cbb1af8ca37255474b320174a3935add43  zmq.ini"
+md5sums="74da2fc1aa83e6fa27acffb9a37596b9  zmq-1.1.2.tgz"
+sha256sums="c9b0af56826fc5e1a95a0fef25e671d9839a421d79e174931faacd8bee389f31  zmq-1.1.2.tgz"
+sha512sums="603448a3bc2851b945a2c0c9e85c6eb50d6e44e1cfdfef9e4ff5ba675c15c23d7c3e06fa6234e9dc50f4c6a54098a9e60f5b8b0718f7f16657f0a72368dae987  zmq-1.1.2.tgz"
diff --git a/testing/php-zmq/zmq.ini b/testing/php-zmq/zmq.ini
deleted file mode 100644
index f4ed5b9..0000000
--- a/testing/php-zmq/zmq.ini
+++ /dev/null
@@ -1,2 +0,0 @@
-[zmq]
-extension=zmq.so
-- 
2.6.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---